#!/usr/bin/python3

from tkinter import *                 
from PIL import Image, ImageTk                                  # pour la gestion des images
from tkinter import filedialog

fenetre = Tk()

# fonction de chargement de l'image

imdict = {}                                                                    # definition d'un dictionnaire (liste d'associations) vide

def charger():
    
    fichier = filedialog.askopenfilename(filetypes = [('images gif', '.gif'), ('tout', '*')])      #  on lance un dialogue de selection de fichier
    
    im = PhotoImage(file = fichier)
    
    imdict['image'] = im                                                                           # on met l'image dans un dictionnaire pour qu'elle soit conservée
    
    canvas.configure(width = im.width(), height = im.height())                                     # on met l'image dans le canvas
    
    canvas.create_image(0,0, anchor = NW, image = im)


def sauver():
    
    fichier = filedialog.asksaveasfile(filetypes = [('images gif', '.gif'), ('tout', '*')])        # on lance un dialogue de selection de fichier à enregistrer
    
    im = imdict['image']
    
    im.write(filename = fichier, format = 'gif')                                         # on enregistre l'image (si ça ne bugue pas)
    
    
def rectangleBlanc():
  
    im = imdict['image']
    
    #print(type(im))

    x = im.width()                                         # largeur de l'image
    
    y = im.height()                                        # hauteur de l'image
    
    x1 = x//3
    
    y1 = y//3
    
    for i in range(x1, 2*x1):
        for j in range(y1, 2*y1):
            val = "#%02x%02x%02x" % (255,255,255)                                       # on peint en blanc le pixel a la position (i, j) 
            im.put(val, (i, j))
        
    
menu = Menu(fenetre)                                              # c'est pour la barre de menu generale

fenetre.config(menu = menu)                                       # on la met dans la fenetre
        
menuFichier = Menu(menu)                                          # c'est la premiere entrée de la barre de menu                                                       

menuFichier.add_command(label="Charger", command = charger)       # commande du menu "fichier"

menuFichier.add_command(label="Sauver", command = sauver)         # commande du menu "fichier"

menu.add_cascade(label="File", menu = menuFichier)                # on met le menu fichier dans la barre de menu

boutonCarre = Button(fenetre, text = "rectangle", command = rectangleBlanc)

boutonCarre.grid()

canvas = Canvas(fenetre, width = 200, height = 200)

canvas.grid(row = 1)

fenetre.mainloop()